NumberRange (Lang 2.6)
Date: 2018-05-07

org.apache.commons.lang

## Class NumberRange

- java.lang.Object
- - org.apache.commons.lang.NumberRange

- Deprecated.
  Use one of the Range classes in org.apache.commons.lang.math. Class will be removed in Commons Lang 3.0.

      public final class NumberRange
      extends java.lang.Object

  Represents a range of `Number` objects.

  This class uses `double` comparisons. This means that it is unsuitable for dealing with large `Long`, `BigDecimal` or `BigInteger` numbers.

  Since:
    1.0
  Version:
    $Revision: 1057072 $ $Date: 2011-01-10 01:55:57 +0000 (Mon, 10 Jan 2011) $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberRange(java.lang.Number num)` Deprecated. Constructs a new `NumberRange` using `number` as both the minimum and maximum in this range.
    `NumberRange(java.lang.Number min, java.lang.Number max)` Deprecated. Constructs a new `NumberRange` with the specified minimum and maximum numbers.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Deprecated. Indicates whether some other `Object` is "equal" to this one.
    `java.lang.Number` | `getMaximum()` Deprecated. Returns the maximum number in this range.
    `java.lang.Number` | `getMinimum()` Deprecated. Returns the minimum number in this range.
    `int` | `hashCode()` Deprecated. Returns a hash code value for this object.
    `boolean` | `includesNumber(java.lang.Number number)` Deprecated. Tests whether the specified `number` occurs within this range using `double` comparison.
    `boolean` | `includesRange(NumberRange range)` Deprecated. Tests whether the specified range occurs entirely within this range using `double` comparison.
    `boolean` | `overlaps(NumberRange range)` Deprecated. Tests whether the specified range overlaps with this range using `double` comparison.
    `java.lang.String` | `toString()` Deprecated. Returns the string representation of this range.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberRange

          public NumberRange(java.lang.Number num)

      Deprecated.

      Constructs a new `NumberRange` using `number` as both the minimum and maximum in this range.

      Parameters:
        `num` - the number to use for this range
      Throws:
        `java.lang.NullPointerException` - if the number is `null`

    - #### NumberRange

          public NumberRange(java.lang.Number min,
                     java.lang.Number max)

      Deprecated.

      Constructs a new `NumberRange` with the specified minimum and maximum numbers.

      If the maximum is less than the minimum, the range will be constructed from the minimum value to the minimum value, not what you would expect!.

      Parameters:
        `min` - the minimum number in this range
        `max` - the maximum number in this range
      Throws:
        `java.lang.NullPointerException` - if either the minimum or maximum number is `null`

  - ### Method Detail

    - #### getMinimum

          public java.lang.Number getMinimum()

      Deprecated.

      Returns the minimum number in this range.

      Returns:
        the minimum number in this range

    - #### getMaximum

          public java.lang.Number getMaximum()

      Deprecated.

      Returns the maximum number in this range.

      Returns:
        the maximum number in this range

    - #### includesNumber

          public boolean includesNumber(java.lang.Number number)

      Deprecated.

      Tests whether the specified `number` occurs within this range using `double` comparison.

      Parameters:
        `number` - the number to test
      Returns:
        `true` if the specified number occurs within this range; otherwise, `false`

    - #### includesRange

          public boolean includesRange(NumberRange range)

      Deprecated.

      Tests whether the specified range occurs entirely within this range using `double` comparison.

      Parameters:
        `range` - the range to test
      Returns:
        `true` if the specified range occurs entirely within this range; otherwise, `false`

    - #### overlaps

          public boolean overlaps(NumberRange range)

      Deprecated.

      Tests whether the specified range overlaps with this range using `double` comparison.

      Parameters:
        `range` - the range to test
      Returns:
        `true` if the specified range overlaps with this range; otherwise, `false`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Deprecated.

      Indicates whether some other `Object` is "equal" to this one.

      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the reference object with which to compare
      Returns:
        `true` if this object is the same as the obj argument; `false` otherwise

    - #### hashCode

          public int hashCode()

      Deprecated.

      Returns a hash code value for this object.

      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        a hash code value for this object

    - #### toString

          public java.lang.String toString()

      Deprecated.

      Returns the string representation of this range.

      This string is the string representation of the minimum and maximum numbers in the range, separated by a hyphen. If a number is negative, then it is enclosed in parentheses.

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string representation of this range

Copyright © 2001-2018 - Apache Software Foundation